# encoding: UTF-8
require 'date'
require File.expand_path('../lib/version', __FILE__)

Gem::Specification.new do |s|
  s.platform = Gem::Platform::RUBY
  s.name = 'psrp'
  s.version = PSRP::VERSION
  s.date = Date.today.to_s

  s.author = ['Sam Oluwalana']
  s.email = ['soluwalana@gmail.com']
  s.homepage = 'http://github.com/soluwalana/PSRP-RB'
  s.summary = 'Ruby library for PSRP'

  s.description = <<-EOF
    Ruby library for sending huge Powershell packets over Windows Remote Management
  EOF

  s.license = 'Apache-2.0'

  s.files = `git ls-files`.split(/\n/)
  s.require_path = 'lib'
  s.extra_rdoc_files = %w(README.md LICENSE)

  s.required_ruby_version = '>= 1.9.0'
  s.add_runtime_dependency 'httpclient', '~> 2.2', '>= 2.2.0.2'
  s.add_runtime_dependency 'rubyntlm', '~> 0.6.0'
  s.add_runtime_dependency 'logging', ['>= 1.6.1', '< 3.0']
  s.add_runtime_dependency 'nori', '~> 2.0'
  s.add_runtime_dependency 'gyoku', '~> 1.0'
  s.add_runtime_dependency 'builder', '>= 2.1.2'
  s.add_runtime_dependency 'erubis', '~> 2.7'

end
  

  

